  function Z = func2D(x,y)

% function Z = func2D(x,y)
%
% Zweck: Berechne Vektor-Function f = [f1,f2]^T mit
%
%          f_1(x,y) = ...
%          f_2(x,y) = ...
%
% Parameter: x,y ... Ort wo die Funktion ausgewertet werden soll
%
% Returns: Z ... Werte der Funktion
%
% Notes: Keine.
%

% Berechne Komponenten der Funktion
  f1 = x.^2 + y - 2.;
  f2 = y.*exp(x) - 2.;

% Speichere f1 und f2 in grossem Array Z
% (f1(x,y) = Z(x,y,1) und f2(x,y) = Z(x,y,2))
  Z = cat(3,f1,f2);

